import { CsdlAnnotation, CsdlAnnotable, CsdlTerm, CsdlAnnotations } from './csdl-annotation';
import { CsdlTypeDefinition } from './csdl-type-definition';
import { CsdlEnumType } from './csdl-enum-type';
import { CsdlEntityType, CsdlComplexType } from './csdl-structured-type';
import { CsdlFunction, CsdlAction } from './csdl-function-action';
import { CsdlEntityContainer } from './csdl-entity-container';
export declare class CsdlSchema extends CsdlAnnotable {
    namespace: string;
    alias?: string | undefined;
    enumTypes?: CsdlEnumType[] | undefined;
    complexTypes?: CsdlComplexType[] | undefined;
    entityTypes?: CsdlEntityType[] | undefined;
    functions?: CsdlFunction[] | undefined;
    actions?: CsdlAction[] | undefined;
    entityContainer?: CsdlEntityContainer | undefined;
    typeDefinitions?: CsdlTypeDefinition[] | undefined;
    terms?: CsdlTerm[] | undefined;
    annotationsList?: CsdlAnnotations[] | undefined;
    constructor(namespace: string, alias?: string | undefined, enumTypes?: CsdlEnumType[] | undefined, complexTypes?: CsdlComplexType[] | undefined, entityTypes?: CsdlEntityType[] | undefined, functions?: CsdlFunction[] | undefined, actions?: CsdlAction[] | undefined, entityContainer?: CsdlEntityContainer | undefined, typeDefinitions?: CsdlTypeDefinition[] | undefined, terms?: CsdlTerm[] | undefined, annotationsList?: CsdlAnnotations[] | undefined, annotationList?: CsdlAnnotation[]);
}
