import { ODataModel } from '../models/model';
import { EntityKey, ODataResource } from '../resources';
import { ODataBaseService } from './base';
export declare abstract class ODataEntityService<T> extends ODataBaseService {
    abstract entity(key?: EntityKey<T>): ODataResource<T>;
    abstract attach<M extends ODataModel<T>>(value: M): void;
    /**
     * The schema for the structured type.
     */
    get structuredTypeSchema(): import("angular-odata").ODataStructuredType<T> | undefined;
}
