export declare const $ID = "$id";
export declare const ODATA_ID = "@odata.id";
export declare const $METADATA = "$metadata";
export declare const $BATCH = "$batch";
export declare const $REF = "$ref";
export declare const $VALUE = "$value";
export declare const $COUNT = "$count";
export declare const $QUERY = "$query";
export declare const $INLINECOUNT = "$inlinecount";
export declare const IF_MATCH_HEADER = "If-Match";
export declare const IF_NONE_MATCH_HEADER = "If-None-Match";
export declare const CONTENT_TYPE = "Content-Type";
export declare const HTTP11 = "HTTP/1.1";
export declare const ACCEPT = "Accept";
export declare const PREFER = "Prefer";
export declare const CACHE_CONTROL = "Cache-Control";
export declare const CACHE_CONTROL_HEADERS: string[];
export declare const ODATA_VERSION = "OData-Version";
export declare const ODATA_VERSION_HEADERS: string[];
export declare const LOCATION_HEADER = "Location";
export declare const LOCATION_HEADERS: string[];
export declare const ODATA_ENTITYID = "OData-EntityId";
export declare const ODATA_ENTITYID_HEADERS: string[];
export declare const PREFERENCE_APPLIED = "Preference-Applied";
export declare const PREFERENCE_APPLIED_HEADERS: string[];
export declare const ETAG_HEADER = "ETag";
export declare const ETAG_HEADERS: string[];
export declare const RETRY_AFTER = "Retry-After";
export declare const RETRY_AFTER_HEADERS: string[];
export declare const APPLICATION_JSON = "application/json";
export declare const APPLICATION_HTTP = "application/http";
export declare const TEXT_PLAIN = "text/plain";
export declare const MULTIPART_MIXED = "multipart/mixed";
export declare const MULTIPART_MIXED_BOUNDARY = "multipart/mixed;boundary=";
export declare const CONTENT_TRANSFER_ENCODING = "Content-Transfer-Encoding";
export declare const CONTENT_ID = "Content-ID";
export declare const MAX_AGE = "max-age";
export declare const VERSION_4_0 = "4.0";
export declare const VERSION_3_0 = "3.0";
export declare const VERSION_2_0 = "2.0";
export declare const DEFAULT_VERSION = "4.0";
export declare const BINARY = "binary";
export declare const BOUNDARY_PREFIX_SUFFIX = "--";
export declare const BATCH_PREFIX = "batch_";
export declare const CHANGESET_PREFIX = "changeset_";
export declare const DEFAULT_METADATA = "minimal";
export declare const DEFAULT_STRIP_METADATA = "full";
export declare const DEFAULT_FETCH_POLICY = "network-only";
export declare const DEFAULT_TIMEOUT = 60;
export declare const CALLABLE_BINDING_PARAMETER = "bindingParameter";
export declare const XSSI_PREFIX: RegExp;
export declare const QUERY_SEPARATOR = "?";
export declare const PARAM_SEPARATOR = "&";
export declare const VALUE_SEPARATOR = "=";
export declare const PATH_SEPARATOR = "/";
export declare const ODATA_PARAM_PREFIX = "$";
export declare const ODATA_ALIAS_PREFIX = "@";
export declare const NEWLINE = "\r\n";
export declare const NEWLINE_REGEXP: RegExp;
export declare const CACHE_KEY_SEPARATOR = ":";
export declare const CID_FIELD_NAME = "_cid";
export declare const COMPUTED: RegExp;
export declare const OPTIMISTIC_CONCURRENCY: RegExp;
export declare const DESCRIPTION: RegExp;
export declare const LONG_DESCRIPTION: RegExp;
export declare const OPTIONARL_PARAMETER: RegExp;
