import { InjectionToken, ModuleWithProviders, Provider } from '@angular/core';
import { ODataConfigSyncLoader } from './loaders';
import { ApiConfig } from './types';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/common/http";
export interface PassedInitialConfig {
    config?: ApiConfig | ApiConfig[];
    loader?: Provider;
}
export declare const ODATA_CONFIG: InjectionToken<ApiConfig>;
export declare function createSyncLoader(passedConfig: PassedInitialConfig): ODataConfigSyncLoader;
export declare class ODataModule {
    static forRoot(passedConfig: PassedInitialConfig): ModuleWithProviders<ODataModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ODataModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ODataModule, never, [typeof i1.CommonModule, typeof i2.HttpClientModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ODataModule>;
}
