export declare class CsdlAnnotable {
    annotationList?: CsdlAnnotation[] | undefined;
    constructor(annotationList?: CsdlAnnotation[] | undefined);
}
export declare class CsdlAnnotations extends CsdlAnnotable {
    target: string;
    qualifier?: string | undefined;
    constructor(target: string, annotationList: CsdlAnnotation[], qualifier?: string | undefined);
}
export declare class CsdlAnnotation {
    term: string;
    qualifier?: string | undefined;
    constructor(term: string, qualifier?: string | undefined);
}
export declare class CsdlTerm {
    name: string;
    type: string;
    baseTerm?: string | undefined;
    defaultValue?: string | undefined;
    appliesTo?: string | undefined;
    nullable?: boolean | undefined;
    maxLength?: number | undefined;
    precision?: number | undefined;
    scale?: number | undefined;
    srid?: string | undefined;
    constructor(name: string, type: string, baseTerm?: string | undefined, defaultValue?: string | undefined, appliesTo?: string | undefined, nullable?: boolean | undefined, maxLength?: number | undefined, precision?: number | undefined, scale?: number | undefined, srid?: string | undefined);
}
