import { CsdlAnnotable, CsdlAnnotation } from './csdl-annotation';
export declare class CsdlReference extends CsdlAnnotable {
    uri: string;
    includes?: CsdlInclude[] | undefined;
    includeAnnotations?: CsdlIncludeAnnotations[] | undefined;
    constructor(uri: string, includes?: CsdlInclude[] | undefined, includeAnnotations?: CsdlIncludeAnnotations[] | undefined, annotationList?: CsdlAnnotation[]);
}
export declare class CsdlInclude {
    namespace: string;
    alias?: string | undefined;
    constructor(namespace: string, alias?: string | undefined);
}
export declare class CsdlIncludeAnnotations {
    termNamespace: string;
    qualifier?: string | undefined;
    targetNamespace?: string | undefined;
    constructor(termNamespace: string, qualifier?: string | undefined, targetNamespace?: string | undefined);
}
