import { Observable } from 'rxjs';
import { ODataApi } from '../../api';
import { ODataPathSegments } from '../path';
import { ODataResource } from '../resource';
import { ODataMetadata } from '../responses';
import { ODataOptions } from './options';
export declare class ODataMetadataResource extends ODataResource<any> {
    constructor(api: ODataApi, segments?: ODataPathSegments);
    static factory(api: ODataApi): ODataMetadataResource;
    clone(): ODataMetadataResource;
    protected get(options?: ODataOptions): Observable<any>;
    fetch(options?: ODataOptions): Observable<ODataMetadata>;
}
