import { HttpHeaders, HttpParams } from '@angular/common/http';
export declare const Http: {
    mergeHttpHeaders(...values: (HttpHeaders | {
        [header: string]: string | string[];
    })[]): HttpHeaders;
    mergeHttpParams(...values: (HttpParams | {
        [param: string]: string | number | boolean | readonly (string | number | boolean)[];
    })[]): HttpParams;
    splitHttpParams(params: HttpParams, keys: string[]): [HttpParams, HttpParams];
    withoutHttpParams(params: HttpParams, keys: string[]): HttpParams;
    resolveHeaderKey(headers: HttpHeaders | {
        [param: string]: string | string[];
    }, options: string[]): string | undefined;
    headerValue(header: string): string;
    parseResponseStatus(statusLine: string): {
        status: string;
        code: number;
        message: string;
    };
    boundaryDelimiter(contentType: string): string;
    boundaryEnd(boundaryDelimiter: string): string;
};
