export declare const Objects: {
    set(obj: {
        [attr: string]: any;
    }, path: string, value: any): void;
    get(obj: {
        [attr: string]: any;
    }, path: string, def?: any): any;
    unset(obj: {
        [attr: string]: any;
    }, path: string): void;
    has(obj: {
        [attr: string]: any;
    }, path: string): boolean;
    merge(target: {
        [attr: string]: any;
    }, source: {
        [attr: string]: any;
    }): {
        [attr: string]: any;
    };
    equal(object1: {
        [attr: string]: any;
    }, object2: {
        [attr: string]: any;
    }): boolean;
    difference(object1: {
        [attr: string]: any;
    }, object2: {
        [attr: string]: any;
    }): {
        [attr: string]: any;
    };
    resolveKey(key: any, { single }?: {
        single?: boolean | undefined;
    }): any;
    clone(target: any, map?: WeakMap<object, any>): any;
};
